package de.ivu.elect.business.internet.entity;

import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.jee.faces.Messages;

public class InternetCustomDataCreateContext {

  private final Messages messages;

  private final Wahl wahl;

  private final InternetSeiteTyp internetSeiteTyp;

  private final String widgetSprungmarke;

  public InternetCustomDataCreateContext(Messages messages, Wahl wahl, InternetSeiteTyp internetSeiteTyp, String widgetSprungmarke) {
    this.messages = messages;
    this.wahl = wahl;
    this.internetSeiteTyp = internetSeiteTyp;
    this.widgetSprungmarke = widgetSprungmarke;
  }

  public Messages getMessages() {
    return messages;
  }

  public Wahl getWahl() {
    return wahl;
  }

  public InternetSeiteTyp getInternetSeiteTyp() {
    return internetSeiteTyp;
  }

  public String getWidgetSprungmarke() {
    return widgetSprungmarke;
  }
}
